package net.binzume.android.nicoplayer;


import java.util.List;
import android.content.Context;
import android.graphics.Bitmap;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;
import net.binzume.android.nicoplayer.api.*;

public class VideoListAdapter extends ArrayAdapter<VideoInfo> {

    private List<VideoInfo> mylist;
    LayoutInflater inflater;
    private Bitmap thumbImges[];
    public VideoListAdapter(Context context, int resource,
            List<VideoInfo>  videos) {
        super(context, resource, videos);
        
        this.mylist = videos;
        thumbImges = new Bitmap[videos.size()];
        this.inflater = (LayoutInflater)context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View v = convertView;
        
        if (v == null) {
            v = inflater.inflate(R.layout.video_row, null);  
            //v.setBackgroundResource(R.drawable.back);  
        }

        TextView titleText = (TextView)v.findViewById(R.id.title);
        titleText.setText(mylist.get(position).title);

        ImageView tumbnailImage = (ImageView)v.findViewById(R.id.video_thumb);
        if (thumbImges[position]!=null) {
            tumbnailImage.setImageBitmap(thumbImges[position]);
        } else {
            tumbnailImage.setImageResource(R.drawable.icon);
        }
        
        return v;
    }
 
    public List<VideoInfo> getList(){
        return mylist;
    }

    public void setThumbnail(int pos,Bitmap img) {
        thumbImges[pos] = img;
        notifyDataSetChanged();
    }
    
}
