package net.binzume.android.nicoplayer.api;

import android.util.Log;
import org.json.*;


public class FriendListAPI {
    public static final String API_URL = "http://www.nicovideo.jp/api/friendlist/";

    
    public static String getList(NicoSession session){
        HttpClient client = new HttpClient();
        client.setCookie(session.cookie);

        if(!client.get(API_URL + "list")){
            Log.d("nicoplayer_api","error HTTP");
            return null;
        }

        String data = client.getContent();
        if(data.length() <= 0){
            Log.d("nicoplayer_api","error empty");
            return null;
        }
 
        try {
            JSONObject json = new JSONObject(data);
            if (!json.getString("status").equals("ok")){
                Log.d("nicoplayer_api","status:"+json.getString("status"));
                return null;
            }

            
            JSONArray jslist = json.getJSONArray("friend");
            for (int i=0;i<jslist.length();i++){
                JSONObject jitem = jslist.getJSONObject(i);
                jitem.getInt("id");
            }
        } catch (Exception e) {
            return null;
        }

        
        return null;
    }
    
}
