package net.binzume.android.nicoplayer.api;

import java.net.URLDecoder;
import java.util.HashMap;
import java.util.List;
import org.apache.http.cookie.Cookie;



public class VideoAPI {
    public static final String API_URL = "http://www.nicovideo.jp/api/getflv/";
    public static final String WATCH_URL = "http://www.nicovideo.jp/watch/";

    public static HashMap<String,String> getFlv(NicoSession session,String vid){

        HttpClient client = new HttpClient();
        //client.cookies.clear();
        client.setCookie(session.cookie);

        // watchɃANZXƓɃANZXłȂ
        if(client.head(WATCH_URL+ vid+ "?eco=1")){
            String location = client.getLocation();
            if (location!=null && location.startsWith("/watch/")) {
                String l[]=location.split("[/\\?]");
                if (l.length>=3) {
                    vid = l[2];
                }
            }
            client.head(WATCH_URL+ vid+ "?eco=1");

            List<Cookie> cookies = client.getCookies();
            Cookie cookie = null;
            for (int i = 0; i < cookies.size(); i++) {
                if(cookies.get(i).getName().equalsIgnoreCase("nicohistory")){
                    cookie = cookies.get(i);
                }
            }
            if (cookie != null) {
                session.history = cookie.getValue();
            }
        }
        
        if(!client.get(API_URL + vid+ "?eco=1")){
            return null;
        }

        //Log.d("nicoplayer","_vid "+vid);
        String data = client.getContent();
        if(data.length() <= 0){
            return null;
        }
        
        HashMap<String, String> info = new HashMap<String, String>();
        String[] params = data.split("&");
        for(int i = 0 ; i < params.length ; i++){
            String[] p = params[i].split("=");
            if (p.length < 2) continue;
            info.put(URLDecoder.decode(p[0]), URLDecoder.decode(p[1]));
        }
        
        // v~AǂZbgĂ
        if (info.get("is_premium")!=null) {
            session.isPremium = Integer.parseInt(info.get("is_premium"));
        }
        
        info.put("_vid", vid);
        return info;
    }
    
    public static boolean watch(NicoSession session,String vid){
        HttpClient client = new HttpClient();
        client.setCookie(session.cookie);

        // watchɃANZXƓɃANZXłȂ
        if(!client.head(WATCH_URL+ vid+ "?eco=1")){
            return false;
        }
        
        List<Cookie> cookies = client.getCookies();
        Cookie cookie = null;
        for (int i = 0; i < cookies.size(); i++) {
            if(cookies.get(i).getName().equalsIgnoreCase("nicohistory")){
                cookie = cookies.get(i);
            }
        }
        if (cookie == null) {
            return false;
        }
        session.history = cookie.getValue();

        return true;
    }
    
}
